globus_net_manager_context(3)

NAME
globus_net_manager_context - Context

 - Net Manager Context Management Functions.

SYNOPSIS

  Typedefs

typedef struct globus_i_net_manager_context_s * globus_net_manager_context_t
Net Manager Context.

  Functions

void globus_net_manager_context_destroy (globus_net_manager_context_t context)
Destroy Context.
globus_result_t globus_net_manager_context_end_listen (globus_net_manager_context_t context, const char *task_id, const char *transport, const char *local_contact, const globus_net_manager_attr_t *attr_array)
Call Context End Listen.
globus_result_t globus_net_manager_context_init (globus_net_manager_context_t *context, const globus_net_manager_attr_t *attrs)
Initialize Context.
globus_result_t globus_net_manager_context_post_accept (globus_net_manager_context_t context, const char *task_id, const char *transport, const char *local_contact, const char *remote_contact, const globus_net_manager_attr_t *attr_array, globus_net_manager_attr_t **attr_array_out)
Call Context Post Accept.
globus_result_t globus_net_manager_context_post_close (globus_net_manager_context_t context, const char *task_id, const char *transport, const char *local_contact, const char *remote_contact, const globus_net_manager_attr_t *attr_array)
Call Context Post Close.
globus_result_t globus_net_manager_context_post_connect (globus_net_manager_context_t context, const char *task_id, const char *transport, const char *local_contact, const char *remote_contact, const globus_net_manager_attr_t *attr_array, globus_net_manager_attr_t **attr_array_out)
Call Context Post Connect.
globus_result_t globus_net_manager_context_post_listen (globus_net_manager_context_t context, const char *task_id, const char *transport, const char *local_contact, const globus_net_manager_attr_t *attr_array, char **local_contact_out, globus_net_manager_attr_t **attr_array_out)
Call Context Post Listen.
globus_result_t globus_net_manager_context_pre_accept (globus_net_manager_context_t context, const char *task_id, const char *transport, const char *local_contact, const globus_net_manager_attr_t *attr_array, globus_net_manager_attr_t **attr_array_out)
Call Context Pre Accept.
globus_result_t globus_net_manager_context_pre_close (globus_net_manager_context_t context, const char *task_id, const char *transport, const char *local_contact, const char *remote_contact, const globus_net_manager_attr_t *attr_array)
Call Context Pre Close.
globus_result_t globus_net_manager_context_pre_connect (globus_net_manager_context_t context, const char *task_id, const char *transport, const char *remote_contact, const globus_net_manager_attr_t *attr_array, char **remote_contact_out, globus_net_manager_attr_t **attr_array_out)
Call Context Pre Connect.
globus_result_t globus_net_manager_context_pre_listen (globus_net_manager_context_t context, const char *task_id, const char *transport, const globus_net_manager_attr_t *attr_array, globus_net_manager_attr_t **attr_array_out)
Call Context Pre Listen.

Detailed Description

Net Manager Context Management Functions.

The Net Manager Context manages a collection of network manager plug-ins which will be called when network events occur.

Initialize the context by calling globus_net_manager_context_init(). This processes an array of attributes. The 'scope' member of of attributes indicate the name of a network manager to associate with the context. The (name, value) tuples of the attributes are added to the attributes passed to all of that particular network manager's implementation functions.

Once the network manager context is created, pass it to the per-operation invocation functions to trigger all of the manager callouts associated with the context.

When the network manager context is no longer needed, destroy it by calling globus_net_manager_context_destroy().

Typedef Documentation

  typedef struct globus_i_net_manager_context_s* globus_net_manager_context_t

Net Manager Context. A structure of this type is used to thread attributes through the set of configured net manager modules and invoke their functions in configuration order.

Function Documentation

  void globus_net_manager_context_destroy (globus_net_manager_context_t context)

Destroy Context. This functions destroys context.

Parameters
    context Pointer to the context to destroy.

  globus_result_t globus_net_manager_context_end_listen (globus_net_manager_context_t context, const char * task_id, const char * transport, const char * local_contact, const globus_net_manager_attr_t * attr_array)

Call Context End Listen. Call the chain of end_listen() functions in a context with the given task_id, transport, and attributes. If any manager in the context returns an error, the subsequent managers will not be called.

Parameters
    context The context to call functions in.
    task_id The task_id associated with this network operation.
    transport The transport driver associated with this network operation.
    local_contact The string representation of the local address of the socket.
    attr_array The set of attributes to pass to the managers.

Returns
    On success, this function returns GLOBUS_SUCCESS. If any manager returns an error, the end_listen calls stop and the error is returned to the caller.

  globus_result_t globus_net_manager_context_init (globus_net_manager_context_t * context, const globus_net_manager_attr_t * attrs)

Initialize Context. This functions initializes context with the attribute list attrs.

Parameters
    context A pointer to the context to initialize.
    attrs An array of attributes to initialize the context with.

Returns
    On error, the 'context' is set to NULL and this function returns an error object. Otherwise this function returns 'GLOBUS_SUCCESS'

  globus_result_t globus_net_manager_context_post_accept (globus_net_manager_context_t context, const char * task_id, const char * transport, const char * local_contact, const char * remote_contact, const globus_net_manager_attr_t * attr_array, globus_net_manager_attr_t ** attr_array_out)

Call Context Post Accept. Call the chain of post_accept() functions in a context with the given task_id, transport, contact information, and attributes. If any manager in the context returns an error, the subsequent managers will not be called. The attributes are chained through all the calls, with any changed values returned from a manager passed to subsequent managers in the chain.

Parameters
    context The context to call functions in.
    task_id The task_id associated with this network operation.
    transport The transport driver associated with this network operation.
    local_contact The string representation of the local address of the socket.
    remote_contact The string representation of the remote address of the socket.
    attr_array The set of attributes to pass to the managers.
    attr_array_out The resulting set of attributes from the managers. This will be set to NULL if no manager modifies the attributes.

Returns
    On success, this function returns GLOBUS_SUCCESS. If any manager returns an error, the post_accept calls stop and the error is returned to the caller.

  globus_result_t globus_net_manager_context_post_close (globus_net_manager_context_t context, const char * task_id, const char * transport, const char * local_contact, const char * remote_contact, const globus_net_manager_attr_t * attr_array)

Call Context Post Close. Call the chain of post_close() functions in a context with the given task_id, transport, contact information, and attributes. If any manager in the context returns an error, the subsequent managers will not be called.

Parameters
    context The context to call functions in.
    task_id The task_id associated with this network operation.
    transport The transport driver associated with this network operation.
    local_contact The string representation of the local address of the socket.
    remote_contact The string representation of the remote address of the socket
    attr_array The set of attributes to pass to the managers.

Returns
    On success, this function returns GLOBUS_SUCCESS. If any manager returns an error, the post_close calls stop and the error is returned to the caller.

  globus_result_t globus_net_manager_context_post_connect (globus_net_manager_context_t context, const char * task_id, const char * transport, const char * local_contact, const char * remote_contact, const globus_net_manager_attr_t * attr_array, globus_net_manager_attr_t ** attr_array_out)

Call Context Post Connect. Call the chain of post_connect() functions in a context with the given task_id, transport, contact information, and attributes. If any manager in the context returns an error, the subsequent managers will not be called.

Parameters
    context The context to call functions in.
    task_id The task_id associated with this network operation.
    transport The transport driver associated with this network operation.
    local_contact The string representation of the local address of the socket.
    remote_contact The string representation of the remote address of the socket.
    attr_array The set of attributes to pass to the managers.
    attr_array_out The resulting set of attributes from the managers. This will be set to NULL if no manager modifies the attributes.

Returns
    On success, this function returns GLOBUS_SUCCESS. If any manager returns an error, the post_connect calls stop and the error is returned to the caller.

  globus_result_t globus_net_manager_context_post_listen (globus_net_manager_context_t context, const char * task_id, const char * transport, const char * local_contact, const globus_net_manager_attr_t * attr_array, char ** local_contact_out, globus_net_manager_attr_t ** attr_array_out)

Call Context Post Listen. Call the chain of post_listen() functions in a context with the given task_id, transport, contact information, and attributes. If any manager in the context returns an error, the subsequent managers will not be called.

Parameters
    context The context to call functions in.
    task_id The task_id associated with this network operation.
    transport The transport driver associated with this network operation.
    local_contact The string representation of the local address of the socket.
    attr_array The set of attributes to pass to the managers.
    local_contact_out The resulting local contact from the managers. This will be set to NULL if no manager modifies the local contact.
    attr_array_out The resulting set of attributes from the managers. This will be set to NULL if no manager modifies the attributes.

Returns
    On success, this function returns GLOBUS_SUCCESS. If any manager returns an error, the post_listen() calls stop and the error is returned to the caller.

  globus_result_t globus_net_manager_context_pre_accept (globus_net_manager_context_t context, const char * task_id, const char * transport, const char * local_contact, const globus_net_manager_attr_t * attr_array, globus_net_manager_attr_t ** attr_array_out)

Call Context Pre Accept. Call the chain of pre_accept() functions in a context with the given task_id, transport, contact information, and attributes. If any manager in the context returns an error, the subsequent managers will not be called.

Parameters
    context The context to call functions in.
    task_id The task_id associated with this network operation.
    transport The transport driver associated with this network operation.
    local_contact The string representation of the local address of socket.
    attr_array The set of attributes to pass to the managers.
    attr_array_out The resulting set of attributes from the managers. This will be set to NULL if no manager modifies the attributes.

Returns
    On success, this function returns GLOBUS_SUCCESS. If any manager returns an error, the pre_accept() calls stop and the error is returned to the caller.

  globus_result_t globus_net_manager_context_pre_close (globus_net_manager_context_t context, const char * task_id, const char * transport, const char * local_contact, const char * remote_contact, const globus_net_manager_attr_t * attr_array)

Call Context Pre Close. Call the chain of pre_close() functions in a context with the given task_id, transport, contact information, and attributes. If any manager in the context returns an error, the subsequent managers will not be called.

Parameters
    context The context to call functions in.
    task_id The task_id associated with this network operation.
    transport The transport driver associated with this network operation.
    local_contact The string representation of the local address of socket.
    remote_contact The string representation of the remote address of socket.
    attr_array The set of attributes to pass to the managers.

Returns
    On success, this function returns GLOBUS_SUCCESS. If any manager returns an error, the pre_close() calls stop and the error is returned to the caller.

  globus_result_t globus_net_manager_context_pre_connect (globus_net_manager_context_t context, const char * task_id, const char * transport, const char * remote_contact, const globus_net_manager_attr_t * attr_array, char ** remote_contact_out, globus_net_manager_attr_t ** attr_array_out)

Call Context Pre Connect. Call the chain of pre_connect() functions in a context with the given task_id, transport, contact information, and attributes. If any manager in the context returns an error, the subsequent managers will not be called.

Parameters
    context The context to call functions in.
    task_id The task_id associated with this network operation.
    transport The transport driver associated with this network operation.
    remote_contact The string representation of the remote address of socket.
    attr_array The set of attributes to pass to the managers.
    remote_contact_out The resulting string representation of the remote address. This will be set to NULL if no manager modifies the address.
    attr_array_out The resulting set of attributes from the managers. This will be set to NULL if no manager modifies the attributes.

Returns
    On success, this function returns GLOBUS_SUCCESS. If any manager returns an error, the pre_connect() calls stop and the error is returned to the caller.

  globus_result_t globus_net_manager_context_pre_listen (globus_net_manager_context_t context, const char * task_id, const char * transport, const globus_net_manager_attr_t * attr_array, globus_net_manager_attr_t ** attr_array_out)

Call Context Pre Listen. Call the chain of pre_listen() functions in a context with the given task_id, transport, contact information, and attributes. If any manager in the context returns an error, the subsequent managers will not be called.

Parameters
    context The context to call functions in.
    task_id The task_id associated with this network operation.
    transport The transport driver associated with this network operation.
    attr_array The set of attributes to pass to the managers.
    attr_array_out The resulting set of attributes from the managers. This will be set to NULL if no manager modifies the attributes.

Returns
    On success, this function returns GLOBUS_SUCCESS. If any manager returns an error, the pre_listen() calls stop and the error is returned to the caller.

Author

Generated automatically by Doxygen for globus_net_manager from the source code.